statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Hypergeometric

Contents

- Constructors
  - Accessors

Description

The Hypergeometric distribution. This is the discrete probability distribution that measures the probability of k successes in l trials, without replacement, from a finite population.

The parameters of the distribution describe k elements chosen from a population of l, with m elements of one type, and l-m of the other (all are positive integers).

Synopsis

- data HypergeometricDistribution
- hypergeometric :: Int -> Int -> Int -> HypergeometricDistribution
- hdM :: HypergeometricDistribution -> Int
- hdL :: HypergeometricDistribution -> Int
- hdK :: HypergeometricDistribution -> Int

# Documentation

data HypergeometricDistribution Source

Instances

Eq HypergeometricDistribution Source |
Data HypergeometricDistribution Source |
Read HypergeometricDistribution Source |
Show HypergeometricDistribution Source |
Generic HypergeometricDistribution Source |
ToJSON HypergeometricDistribution Source |
FromJSON HypergeometricDistribution Source |
Binary HypergeometricDistribution Source |
Entropy HypergeometricDistribution Source |
MaybeEntropy HypergeometricDistribution Source |
Variance HypergeometricDistribution Source |
MaybeVariance HypergeometricDistribution Source |
Mean HypergeometricDistribution Source |
MaybeMean HypergeometricDistribution Source |
DiscreteDistr HypergeometricDistribution Source |
Distribution HypergeometricDistribution Source |
type Rep HypergeometricDistribution Source |

# Constructors

hypergeometric Source

Arguments

:: Int | m
-> Int | l
-> Int | k
-> HypergeometricDistribution |

## Accessors

hdM :: HypergeometricDistribution -> Int Source

hdL :: HypergeometricDistribution -> Int Source

hdK :: HypergeometricDistribution -> Int Source